package com.jy.system.model.table;


import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;
import com.jy.system.model.entity.SysPermission;

public class SysPermissionTable extends Table<SysPermission> {

    public static SysPermissionTable sys_permission = new SysPermissionTable();
    public static SysPermissionTable sp = sys_permission.as("sp");

    /**
     * id
     */
    public QueryColumn id = this.field(SysPermission::getId);

    /**
     * 请求方法
     */
    public QueryColumn method = this.field(SysPermission::getMethod);

    /**
     * 匹配路径
     */
    public QueryColumn bestMatching = this.field(SysPermission::getBestMatching);

    /**
     * 权限标识
     */
    public QueryColumn code = this.field(SysPermission::getCode);

    /**
     * 状态 1启用 0禁用
     */
    public QueryColumn status = this.field(SysPermission::getStatus);

    /**
     * 备注
     */
    public QueryColumn remark = this.field(SysPermission::getRemark);

    /**
     * 创建者
     */
    public QueryColumn createUser = this.field(SysPermission::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(SysPermission::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(SysPermission::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(SysPermission::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(SysPermission::getDelFlag);

    private SysPermissionTable() {
        super(SysPermission.class);
    }

    private SysPermissionTable(String alias) {
        super(SysPermission.class, alias);
    }

    public SysPermissionTable as(String alias) {
        return new SysPermissionTable(alias);
    }

}
